extends Scene


func _on_fountain_pool_interacted() -> void:
	$kq4_003_fountain_pool.default_script(self)


func _on_ogres_cottage_interacted() -> void:
	$kq4_004_ogres_cottage.default_script(self)


func _on_enchanted_grove_interacted() -> void:
	$kq4_011_enchanted_grove.default_script(self)


func _on_graveyard_interacted() -> void:
	$kq4_016_graveyard.default_script(self)


func _on_shady_wooded_area_interacted() -> void:
	$kq4_009_shady_wooded_area.default_script(self)


func _on_flowers_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("There aren't many flowers to pick!")
	).build(self, "_on_script_complete"))


func _on_pine_trees_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("Mostly, you see pine trees.")
	).build(self, "_on_script_complete"))


func _on_room_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("You are on a forest path.")
	).build(self, "_on_script_complete"))
